Page MenuHomePhabricator

Fix deprecation warning seen in elastic logs
Closed, ResolvedPublic

Description

There are a bunch of deprecation warnings in elastic logs:

[2017-04-19T14:23:02,796][WARN ][org.elasticsearch.deprecation.common.ParseField] Deprecated field [optimize_bbox] used, replaced by [no replacement: `optimize_bbox` is no longer supported due to recent improvements]
[2017-04-19T14:23:07,188][WARN ][org.elasticsearch.deprecation.index.mapper.BooleanFieldMapper] searching using boolean value [1] is deprecated, please use [true] or [false]
[2017-04-19T14:28:37,751][WARN ][org.elasticsearch.deprecation.common.ParseField] Deprecated field [min_similarity] used, expected [fuzziness] instead
  1. is probably GeoData
  2. same
  3. is likely translate

Event Timeline

dcausse created this task.Apr 19 2017, 4:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2017, 4:00 PM

Mentioned in SAL (#wikimedia-operations) [2017-04-19T16:03:29Z] <gehel> disabling deprecation warning logs on elasticsearch codfw - T163345

Mentioned in SAL (#wikimedia-operations) [2017-04-19T16:20:46Z] <gehel> disabling deprecation warning logs on elasticsearch eqiad - T163345

Change 349192 had a related patch set uploaded (by DCausse):
[mediawiki/extensions/Translate@master] Fix deprecation warning raised by elasticsearch5

https://gerrit.wikimedia.org/r/349192

Change 349197 had a related patch set uploaded (by DCausse):
[mediawiki/extensions/GeoData@master] Fix deprecation warnings raised by elasticsearch5

https://gerrit.wikimedia.org/r/349197

dcausse claimed this task.Apr 20 2017, 10:37 AM
dcausse moved this task from needs triage to Current work on the Discovery-Search board.
dcausse moved this task from in progress to Needs review on the Discovery-Search (Current work) board.
dcausse moved this task from Untriaged to Meta on the Wikimedia-production-error board.

Change 349192 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix deprecation warning raised by elasticsearch5

https://gerrit.wikimedia.org/r/349192

Change 349197 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] Fix deprecation warnings raised by elasticsearch5

https://gerrit.wikimedia.org/r/349197

dcausse closed this task as Resolved.EditedMay 25 2017, 12:59 PM

yes, checked a couple of elastic hosts and those 3 warnings are no longer spamming the logs.